OMV 2014.2 cannot be updated

Hi all.

Trying to update my OMV 2014.2, the following error appears:

.# LC_ALL=C urpmi --auto-update --download-all --noclean ...retrieving failed: aria2 failed: exited with 4

…retrieving failed: aria2 failed: exited with 4

medium “Main32” is up-to-date
medium “Main32 Updates” is up-to-date
…retrieving failed: aria2 failed: exited with 4

…retrieving failed: aria2 failed: exited with 4

medium “contrib32” is up-to-date
medium “contrib32 updates” is up-to-date
…retrieving failed: aria2 failed: exited with 4

…retrieving failed: aria2 failed: exited with 4

medium “Non-free32” is up-to-date
medium “Non-free32 Updates” is up-to-date
…retrieving failed: aria2 failed: exited with 4

…retrieving failed: aria2 failed: exited with 4

Packages libc6-2.19-2.3-omv2014.0.x86_64, libpciaccess0-0.13.2-2-omv2014.0.i586 are already installed
Some requested packages cannot be installed:
libdrm2-2.4.67-0.1-omv2014.0.i586 (due to unsatisfied libdrm-common-2.4.66-0.1-omv2014.0.x86_64)
libdrm_amdgpu1-2.4.67-0.1-omv2014.0.i586 (due to unsatisfied libdrm.so.2)
libdrm_nouveau2-2.4.67-0.1-omv2014.0.i586 (due to unsatisfied libdrm.so.2)
libdrm_radeon1-2.4.67-0.1-omv2014.0.i586 (due to unsatisfied libdrm2-2.4.66-0.1-omv2014.0.i586)
Continue installation anyway? (Y/n) n

.#


(still adding a period before the #; I don’t know how to avoid de big text if I only put # inside code tag)

And…

I filled a bug report:
https://issues.openmandriva.org/show_bug.cgi?id=1528

Hi @Sirius ,
I have not this behaviour today with the updates.

first update

>  rpm -qa --last | more

glibc-devel-2.19-2.4-omv2014.0.x86_64 lun. 29 févr. 2016 17:05:04 CET
libc6-2.19-2.4-omv2014.0.x86_64 lun. 29 févr. 2016 17:04:46 CET
glibc-2.19-2.4-omv2014.0.x86_64 lun. 29 févr. 2016 17:04:09 CET

note the update of glibc (you have not)

and after

rpm -qa --last | more
nscd-2.19-2.4-omv2014.0.x86_64                lun. 29 févr. 2016 17:20:15 CET
lib64drm-devel-2.4.67-0.1-omv2014.0.x86_64    lun. 29 févr. 2016 17:19:53 CET
locales-fr-2.19-2.4-omv2014.0.x86_64          lun. 29 févr. 2016 17:19:48 CET
locales-en-2.19-2.4-omv2014.0.x86_64          lun. 29 févr. 2016 17:19:42 CET
lib64drm_amdgpu1-2.4.67-0.1-omv2014.0.x86_64  lun. 29 févr. 2016 17:19:41 CET
lib64kms1-2.4.67-0.1-omv2014.0.x86_64         lun. 29 févr. 2016 17:19:40 CET
lib64drm_radeon1-2.4.67-0.1-omv2014.0.x86_64  lun. 29 févr. 2016 17:19:38 CET
lib64drm_intel1-2.4.67-0.1-omv2014.0.x86_64   lun. 29 févr. 2016 17:19:37 CET
lib64drm_nouveau2-2.4.67-0.1-omv2014.0.x86_64 lun. 29 févr. 2016 17:19:36 CET
libdrm-common-2.4.67-0.1-omv2014.0.x86_64     lun. 29 févr. 2016 17:19:34 CET

so no problems

May be it’s a mirror problem.
try also to disable your 32 repository.

I could update too, after answering “yes” to the problem of the invalid key IDs.

32-bits repositories are the only ones that works !! but con invalid key IDs.

Just tested, at 18:30 GMT on Feb. 29th:

.# LC_ALL=C urpmi --auto-update --download-all --noclean
…retrieving failed: aria2 failed: exited with 4
…retrieving failed: aria2 failed: exited with 4

medium “Main32” is up-to-date
medium “Main32 Updates” is up-to-date
…retrieving failed: aria2 failed: exited with 4
…retrieving failed: aria2 failed: exited with 4

medium “contrib32” is up-to-date
medium “contrib32 updates” is up-to-date
…retrieving failed: aria2 failed: exited with 4
…retrieving failed: aria2 failed: exited with 4

medium “Non-free32” is up-to-date
http://downloads.openmandriva.org/mirrors/openmandriva.2014.0.x86_64.list: media/…/…/i586/media/non-free/updates/media_info/20160227-012904-synthesis.hdlist.cz
http://downloads.openmandriva.org/mirrors/openmandriva.2014.0.x86_64.list: media/…/…/i586/media/non-free/updates/media_info/20160227-012904-info.xml.lzma
http://downloads.openmandriva.org/mirrors/openmandriva.2014.0.x86_64.list: media/…/…/i586/media/non-free/updates/media_info/20160227-012904-files.xml.lzma
http://downloads.openmandriva.org/mirrors/openmandriva.2014.0.x86_64.list: media/…/…/i586/media/non-free/updates/media_info/20160227-012904-changelog.xml.lzma
updated medium “Non-free32 Updates”
…retrieving failed: aria2 failed: exited with 4
…retrieving failed: aria2 failed: exited with 4

Packages are up to date

.# rpm -qa | tail -20
libc6-2.19-2.4-omv2014.0.x86_64
glibc-devel-2.19-2.4-omv2014.0.x86_64
lib64drm2-2.4.67-0.1-omv2014.0.x86_64
locales-2.19-2.4-omv2014.0.x86_64
libdrm-common-2.4.67-0.1-omv2014.0.x86_64
lib64drm_nouveau2-2.4.67-0.1-omv2014.0.x86_64
lib64drm_intel1-2.4.67-0.1-omv2014.0.x86_64
lib64kms1-2.4.67-0.1-omv2014.0.x86_64
lib64drm_radeon1-2.4.67-0.1-omv2014.0.x86_64
lib64drm_amdgpu1-2.4.67-0.1-omv2014.0.x86_64
locales-en-2.19-2.4-omv2014.0.x86_64
locales-es-2.19-2.4-omv2014.0.x86_64
lib64drm-devel-2.4.67-0.1-omv2014.0.x86_64
nscd-2.19-2.4-omv2014.0.x86_64
glibc-i18ndata-2.19-2.4-omv2014.0.x86_64
libdrm2-2.4.67-0.1-omv2014.0.i586
libdrm_nouveau2-2.4.67-0.1-omv2014.0.i586
libdrm_intel1-2.4.67-0.1-omv2014.0.i586
libdrm_amdgpu1-2.4.67-0.1-omv2014.0.i586
libdrm_radeon1-2.4.67-0.1-omv2014.0.i586

As you can see, my system already have the glibc packages and they were updated before the last (problematic) update.

It seems a mirror problem. My system uses automatically the Brazilian mirrors.

$ urpmq --list-url
main http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/main/release
main updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/main/updates
Main32 http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/main/release
Main32 Updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/main/updates
contrib http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/contrib/release
contrib updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/contrib/updates
contrib32 http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/contrib/release
contrib32 updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/contrib/updates
non-free http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/non-free/release
non-free updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/non-free/updates
Non-free32 http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/non-free/release
Non-free32 Updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/i586/media/non-free/updates
restricted http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/restricted/release
restricted updates http://openmandriva.c3sl.ufpr.br/openmandriva2014.0/repository/x86_64/media/restricted/updates
Restricted32
Restricted32 Updates

From what I can see there is a problem with x86_64 original repos. I believe Chrispin and Tomasz are looking at this.

Workaround is to add repos individually from abf-downloads.openmandriva.org.

I post the [recent] problem in the Italian-language forum. I don’t think the problem is exactly the same than 2 weeks ago.

I think it’s just a matter of time to have the actual problem solved.